Bug 1135362 - [Thunar File Manager] SEGV (11) on USB-flash connection
[Thunar File Manager] SEGV (11) on USB-flash connection
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Xfce
Leap 15.0
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Maurizio Galli
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-16 13:51 UTC by Mikhail Kasimov
Modified: 2019-10-21 07:59 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Kasimov 2019-05-16 13:51:21 UTC
Hello!

Initial upstream report: https://bugzilla.xfce.org/show_bug.cgi?id=13813

=======
Hello!

've got segv (11) on USB-flash connection. I suppose, this situation was, when Thunar tried to get USB-flash at the same time with VBox VM. Anyway, seems to be better to show some alert-window instead of segfaulting.

[1] k_mikhail@linux-mk500:~> coredumpctl 
TIME                            PID   UID   GID SIG PRESENT EXE
Вто 2017-08-22 16:41:43 EEST   1813  1000   100  11 * /usr/bin/thunar


[2] k_mikhail@linux-mk500:~> coredumpctl gdb 1813
           PID: 1813 (Thunar)
           UID: 1000 (k_mikhail)
           GID: 100 (users)
        Signal: 11 (SEGV)
     Timestamp: Вто 2017-08-22 16:41:09 EEST (4min 5s ago)
  Command Line: Thunar --daemon
    Executable: /usr/bin/thunar
 Control Group: /user.slice/user-1000.slice/session-2.scope
          Unit: session-2.scope
         Slice: user-1000.slice
       Session: 2
     Owner UID: 1000 (k_mikhail)
       Boot ID: f5361994459f458c9a3b0174071a16c3
    Machine ID: 4664bc7cba6aee90fe1efc7f571cbf28
      Hostname: linux-mk500
      Coredump: /var/lib/systemd/coredump/core.Thunar.1000.f5361994459f458c9a3b0174071a16c3.1813.1503409269000000.xz
       Message: Process 1813 (Thunar) of user 1000 dumped core.

GNU gdb (GDB; openSUSE Leap 42.2) 7.11.1
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-suse-linux".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://bugs.opensuse.org/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/thunar...Reading symbols from /usr/lib/debug/usr/bin/thunar.debug...done.
done.

warning: core file may not match specified executable file.
[New LWP 1813]
[New LWP 3057]
[New LWP 3061]
[New LWP 4900]
[New LWP 3058]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `Thunar --daemon'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  g_type_check_instance (type_instance=type_instance@entry=0x400000000)
    at gtype.c:4137
4137	      if (type_instance->g_class)
[Current thread is 1 (Thread 0x7fde851cda00 (LWP 1813))]

[3] BackTrace:
==============
(gdb) bt
#0  0x00007fde8208005d in g_type_check_instance (type_instance=type_instance@entry=0x400000000) at gtype.c:4137
#1  0x00007fde82075cb4 in g_signal_handlers_disconnect_matched (instance=0x400000000, mask=mask@entry=G_SIGNAL_MATCH_DATA, signal_id=signal_id@entry=0, detail=detail@entry=0, closure=closure@entry=0x0, func=func@entry=0x0, data=data@entry=0x2c628c0) at gsignal.c:2925
#2  0x000000000043c29d in thunar_folder_finished (job=<optimized out>, folder=0x2c628c0 [void]) at thunar-folder.c:570
#6  0x00007fde82077592 in <emit signal ??? on instance 0x2bed650 [ThunarSimpleJob]> (instance=instance@entry=0x2bed650, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3441
    #3  0x00007fde8205d908 in g_closure_invoke (closure=0x2b8b510, return_value=return_value@entry=0x0, n_param_values=1, param_values=param_values@entry=0x7ffd105658b0, invocation_hint=invocation_hint@entry=0x7ffd10565850)
    at gclosure.c:804
    #4  0x00007fde8206f30d in signal_emit_unlocked_R (node=node@entry=0x29e4f90, detail=detail@entry=0, instance=instance@entry=0x2bed650, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7ffd105658b0) at gsignal.c:3629
    #5  0x00007fde820772a8 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7ffd10565a38) at gsignal.c:3385
#7  0x00007fde84bd6171 in exo_job_async_ready (job=0x2bed650 [ThunarSimpleJob]) at exo-job.c:442
#8  0x00007fde84bd6171 in exo_job_async_ready (user_data=<optimized out>)
    at exo-job.c:281
#9  0x00007fde81d89015 in g_main_context_dispatch (context=0x24ff580)
    at gmain.c:3154
#10 0x00007fde81d89015 in g_main_context_dispatch (context=context@entry=0x24ff580) at gmain.c:3769
#11 0x00007fde81d89388 in g_main_context_iterate (context=0x24ff580, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3840
#12 0x00007fde81d8964a in g_main_loop_run (loop=0x258ebe0) at gmain.c:4034
#13 0x00007fde83c557b7 in IA__gtk_main () at gtkmain.c:1268
#14 0x00000000004224ad in main (argc=1, argv=0x7ffd10565dd8) at main.c:312
(gdb) 
==============

OS: openSUSE 42.2
XFCE: 4.12
Thunar: 1.6.10

=======

Patches:
==========
- xfce 4.12: https://git.xfce.org/xfce/thunar/commit?id=5b601d30771dab61adb95295c382bcdb655e7d45

- xfce 4.14: https://git.xfce.org/xfce/thunar/commit?id=15e26f711834904b123ef75dfdd6154cdcc8186c

- xfce master: https://git.xfce.org/xfce/thunar/commit?id=795ec9ac4229a7580dcc858b48f9ff9753f9a581

==========

"Fixed master, 4.12 and 4.14 branch
Will be released soon in thunar 1.8.5 and 1.6.17 -- "https://bugzilla.xfce.org/show_bug.cgi?id=13813#c5

Please, backport into current branches of openSUSE! Thanks!
Comment 1 Maurizio Galli 2019-05-17 06:44:27 UTC
Thank you. Will look into this
Comment 2 Swamp Workflow Management 2019-05-18 08:50:11 UTC
This is an autogenerated message for OBS integration:
This bug (1135362) was mentioned in
https://build.opensuse.org/request/show/703884 15.0+15.1 / thunar
Comment 3 Swamp Workflow Management 2019-06-27 10:33:13 UTC
openSUSE-RU-2019:1634-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1134899,1135362
CVE References: 
Sources used:
openSUSE Leap 15.1 (src):    thunar-1.8.4-lp151.2.3.1
openSUSE Leap 15.0 (src):    thunar-1.6.14-lp150.2.3.1
Comment 4 Swamp Workflow Management 2019-06-27 13:11:44 UTC
openSUSE-RU-2019:1659-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1134899,1135362
CVE References: 
Sources used:
openSUSE Backports SLE-15 (src):    thunar-1.6.14-bp150.3.3.1
Comment 5 Swamp Workflow Management 2019-08-05 10:10:19 UTC
This is an autogenerated message for OBS integration:
This bug (1135362) was mentioned in
https://build.opensuse.org/request/show/720992 Backports:SLE-12-SP2 / exo+libgarcon+libxfce4ui+libxfce4util+perl-ExtUtils-Depends+perl-ExtUtils-PkgConfig+perl-Glib+thunar+xfce4-dev-tools+xfce4-panel+xfconf
Comment 6 Swamp Workflow Management 2019-08-14 07:12:32 UTC
openSUSE-RU-2019:1860-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1134899,1135362
CVE References: 
Sources used:
openSUSE Backports SLE-15-SP1 (src):    thunar-1.8.4-bp151.3.3.1
Comment 7 Swamp Workflow Management 2019-10-10 19:11:34 UTC
openSUSE-RU-2019:2305-1: An update that solves one vulnerability and has 10 fixes is now available.

Category: recommended (moderate)
Bug References: 1011518,1047218,1135362,637694,687874,760492,764310,767145,829113,860479,952324
CVE References: CVE-2011-1588
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    exo-0.12.0-2.1, libgarcon-0.6.1-2.1, libxfce4ui-4.12.1-2.1, libxfce4util-4.12.1-2.1, perl-ExtUtils-Depends-0.405-2.1, perl-ExtUtils-PkgConfig-1.160000-2.1, perl-Glib-1.326-2.1, thunar-1.6.14-2.1, xfce4-dev-tools-4.12.0-2.1, xfce4-panel-4.12.2-2.1, xfconf-4.12.1-2.1
Comment 8 Maurizio Galli 2019-10-21 07:59:47 UTC
Package has been patched